## ros-indigo-mavros-extras 0.17.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros_extras)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  image_transport
  cv_bridge
  mavros
  roscpp
  mavros_msgs
  sensor_msgs
  geometry_msgs
  std_msgs
  visualization_msgs
  urdf
  tf
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)

find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
endif()

include(EnableCXX11)
include(MavrosMavlink)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()



###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES
  CATKIN_DEPENDS image_transport mavros mavros_msgs roscpp sensor_msgs geometry_msgs
  DEPENDS Boost
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${mavlink_INCLUDE_DIRS}
)

add_library(mavros_extras
  src/plugins/distance_sensor.cpp
  src/plugins/px4flow.cpp
  src/plugins/image_pub.cpp
  src/plugins/mocap_pose_estimate.cpp
  src/plugins/vision_pose_estimate.cpp
  src/plugins/vision_speed_estimate.cpp
  src/plugins/vibration.cpp
  src/plugins/cam_imu_sync.cpp
)
target_link_libraries(mavros_extras
  ${mavros_LIBRARIES}
  ${catkin_LIBRARIES}
)

## Declare a cpp executable
add_executable(gcs_image_bridge
  src/gcs_image_bridge.cpp
)
target_link_libraries(gcs_image_bridge
  ${mavros_LIBRARIES}
  ${catkin_LIBRARIES}
)

add_executable(copter_visualization
  src/copter_visualization.cpp
)
target_link_libraries(copter_visualization
  ${catkin_LIBRARIES}
)

add_executable(servo_state_publisher
  src/servo_state_publisher.cpp
)
target_link_libraries(servo_state_publisher
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB SCRIPTS ${PROJECT_SOURCE_DIR}/scripts/*)
install(PROGRAMS
  ${SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS mavros_extras gcs_image_bridge copter_visualization servo_state_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  mavros_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_mavros_extras.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-indigo-mavros-extras (0.17.5-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 07 Feb 2017 00:00:00 -0000

ros-indigo-mavros-extras (0.17.4-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Jun 2016 00:00:00 -0000

ros-indigo-mavros-extras (0.17.3-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-indigo-mavros-extras (0.17.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-indigo-mavros-extras (0.17.1-0trusty) trusty; urgency=high

  * ran uncrustify
  * fixed typos
  * use CUBE_LIST for faster rendering
  * limit track size
  * use local variable
  * fixed indentation
  * added rc modes
  * moved rc to rc_override_control()
  * replaced tabulations with spaces (4)
  * introducing RC modes
  * fixed
  * quality added
  * added visualization for local setpoints
  * Contributors: Joey Gong, francois

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 28 Mar 2016 00:00:00 -0000

ros-indigo-mavros-extras (0.17.0-0trusty) trusty; urgency=high

  * rebased with master
  * ran uncrustify
  * removed duplicate include
  * use MarkerArray for vehicle model
  * Updated frame transformations and added odom publisher to local position plugin
  * Contributors: Eddy, francois

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 09 Feb 2016 00:00:00 -0000

ros-indigo-mavros-extras (0.16.6-0trusty) trusty; urgency=high

  * extras: uncrustify
  * added tf
  * comments
  * configurable vehicle model
  * Contributors: Vladimir Ermakov, francois

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-indigo-mavros-extras (0.16.5-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Jan 2016 00:00:00 -0000

ros-indigo-mavros-extras (0.16.4-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.16.3-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Nov 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.16.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 17 Nov 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.16.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 13 Nov 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.16.0-0trusty) trusty; urgency=high

  * gcs_bridge #394 <https://github.com/mavlink/mavros/issues/394>: enable both UDPROS and TCPROS transports
  * extras fix #392 <https://github.com/mavlink/mavros/issues/392>: add additional subscription for PoseWithCovarianceStamped
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 09 Nov 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.15.0-0trusty) trusty; urgency=high

  * extras #387 <https://github.com/mavlink/mavros/issues/387>: fix header stamp in joint_states
  * extras fix #387 <https://github.com/mavlink/mavros/issues/387>: SSP node done.
  * extras #387 <https://github.com/mavlink/mavros/issues/387>: subscriber works, node almost done
  * extras #387 <https://github.com/mavlink/mavros/issues/387>: load URDF
  * extras #387 <https://github.com/mavlink/mavros/issues/387>: initial import of servo_status_publisher
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 17 Sep 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.14.2-0trusty) trusty; urgency=high

  * extras: fix catkin lint warnings
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 20 Aug 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.14.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 19 Aug 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.14.0-0trusty) trusty; urgency=high

  * extras: gcs node: replace deprecated copy function
  * extras: scripts: use API from mavros module
  * package: remove not exist dependency
  * extras: vibration: Fix message include
  * extras: px4flow: Fix message include
  * extras: cam_imu_sync: Fix message include
  * extras: update package description
  * msgs: deprecate mavros::Mavlink and copy utils.
  * msgs #354 <https://github.com/mavlink/mavros/issues/354>: move all messages to mavros_msgs package.
  * opencv 3.0/2.4 header compatibility
  * fix orientation empty error
  * Contributors: Vladimir Ermakov, andre-nguyen, v01d

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 17 Aug 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.13.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 05 Aug 2015 00:00:00 -0000

ros-indigo-mavros-extras (0.13.0-0trusty) trusty; urgency=high

  * extras: mocap fix #352 <https://github.com/mavlink/mavros/issues/352>: use new helper for quaternion.
  * Merge pull request #312 <https://github.com/mavlink/mavros/issues/312> from mhkabir/cam_imu_sync
    Camera IMU synchronisation support added
  * distance_sensor #342 <https://github.com/mavlink/mavros/issues/342>: correct orientation parameter handling.
  * distance_sensor: restructure orientation matching and verification
  * lib #319 <https://github.com/mavlink/mavros/issues/319>: Return quaternion from UAS::sensor_matching()
  * launch fix #340 <https://github.com/mavlink/mavros/issues/340>: update default component id of PX4.
  * extras: distance_sensor #71 <https://github.com/mavlink/mavros/issues/71>: Purt to TF2.
  * plugin: Use UAS::syncronized_header() for reduce LOC.
  * extras: vision_pose #71 <https://github.com/mavlink/mavros/issues/71>: Use TF2 listener.
    Also #319 <https://github.com/mavlink/mavros/issues/319>.
  * launch: Update configs.
  * extras: viz #336 <https://github.com/mavlink/mavros/issues/336>: convert plugin to node.
  * extras: vision_speed #319 <https://github.com/mavlink/mavros/issues/319>: use eigen based transform


=== debian/control ===
Source: ros-indigo-mavros-extras
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-mavros, ros-indigo-mavros-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-urdf, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/mavros_extras
Standards-Version: 3.9.2

Package: ros-indigo-mavros-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-mavros, ros-indigo-mavros-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-urdf, ros-indigo-visualization-msgs
Description: Extra nodes and plugins for MAVROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mavros-extras//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
